export const useMobileMenuOpen = () => {
  const isMobileMenuOpen = useState<boolean>('isMobileMenuOpen', () => false)

  const router = useRouter()

  router.afterEach(() => {
    if (isMobileMenuOpen.value) {
      isMobileMenuOpen.value = false
    }
  })

  return isMobileMenuOpen
}
